Nakagami {VGAM} | R Documentation

## Nakagami Distribution

### Description

Density, cumulative distribution function, quantile function and random generation for the Nakagami distribution.

### Usage

    dnaka(x, scale = 1, shape, log = FALSE)
    pnaka(q, scale = 1, shape, lower.tail = TRUE, log.p = FALSE)
    qnaka(p, scale = 1, shape, ...)
    rnaka(n, scale = 1, shape, Smallno = 1.0e-6)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. Same as in `runif`.
`scale, shape` | arguments for the parameters of the distribution. See `nakagami` for more details. For `rnaka`, arguments `shape` and `scale` must be of length 1.
`Smallno` | Numeric, a small value used by the rejection method for determining the upper limit of the distribution. That is, `pnaka(U) > 1-Smallno` where `U` is the upper limit.
`...` | Arguments that can be passed into `uniroot`.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `nakagami` for more details.

### Value

`dnaka` gives the density, `pnaka` gives the cumulative distribution function, `qnaka` gives the quantile function, and `rnaka` generates random deviates.

### Author(s)

T. W. Yee and Kai Huang

### See Also

`nakagami`.

### Examples

    ## Not run:  x <- seq(0, 3.2, len = 200)
    plot(x, dgamma(x, shape = 1), type = "n", col = "black", ylab = "",
         ylim = c(0,1.5), main = "dnaka(x, shape = shape)")
    lines(x, dnaka(x, shape = 1), col = "orange")
    lines(x, dnaka(x, shape = 2), col = "blue")
    lines(x, dnaka(x, shape = 3), col = "green")
    legend(2, 1.0, col = c("orange","blue","green"), lty = rep(1, len = 3),
           legend = paste("shape =", c(1, 2, 3)))

    plot(x, pnorm(x), type = "n", col = "black", ylab = "",
         ylim = 0:1, main = "pnaka(x, shape = shape)")
    lines(x, pnaka(x, shape = 1), col = "orange")
    lines(x, pnaka(x, shape = 2), col = "blue")
    lines(x, pnaka(x, shape = 3), col = "green")
    legend(2, 0.6, col = c("orange","blue","green"), lty = rep(1, len = 3),
           legend = paste("shape =", c(1, 2, 3)))
    ## End(Not run)

    probs <- seq(0.1, 0.9, by = 0.1)
    pnaka(qnaka(p = probs, shape = 2), shape = 2) - probs  # Should be all 0

[Package VGAM version 1.0-4 Index]